Ruby
RubyOnRails
macOSHighSierra
ruby-1.9.3-p551
rails3.2.6

bundle installしたらResolving dependenciesが終わらない

環境

Ruby : ruby-1.9.3-p551
Rails : 3.2.6
DB : MySQL
OS : macOS High Sierra バージョン 10.13.1

起こったエラー

あるアプリケーションを稼働させるために、$brew install qt@5.5を実行した後、
$ bundle installしたらResolving dependenciesがなかなか終わりませんでした。

試したこと

・Gemfileのsource 'https://rubygems.org'をhttpsからhttpに変更
 →変化なし
$ gem install bundler -preした後に$ bundle install
 →変化なし
・rubyの場所確認
  →rvm下にあるのでrvmで管理できている。
・gemのパス確認
  →rvm下のrubyを参照してたので問題なさそう。
$ brew install qt@5.5を実行
$ which qmakeで先輩エンジニアと同じディレクトリにqmakeがあるか確認
・ない or パスが通ってないので
$ echo ‘export PATH=“$(brew --prefix qt@5.5)/bin:$PATH”’ >> ~/.bashrc
・再度$ which qmake
・ないので
$ brew link qt5 —force
・再度which qmake
・あったので再度bundle install

詳しく調べること

・brew install qt
・qtとはqtのバージョンごとによる違い
・echo ‘export PATH=“$(brew --prefix qt@5.5)/bin:$PATH”’ >> ~/.bashrcコマンド
・brew link qt5 —forceコマンド

参考サイト

bundle update が終わらない | mammoth MEMONOTE
ruby - bundle install/update too slow

結論

40分くらい放置したらできてました。解決には至ってませんが一応実行できたので無事作業は終了。
何でこんなに遅かったのかはあとで調べるとして取り急ぎエラーwikiのために投稿しました。

終わりに

これは完全に個人的なエラー解決のメモです。そのため、解決方法としては適切でなかったり、間違ったgemの使い方などをしているかもしれません。
今回のエラーで色々検索してもなかなか解決に至らなかったので自分のために投稿しました。

もし、より良い解決方法などがあればコメントなどでフィードバックをしていただけると幸いです。(エラーを起こした際の情報が少なすぎますが...)

job-error_1